<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net6.0-windows</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
    <NoWin32Manifest>true</NoWin32Manifest>
    <ApplicationIcon>favicon.ico</ApplicationIcon>
    <SignAssembly>false</SignAssembly>
    <AssemblyName>bookmarkmanager</AssemblyName>
    <Authors>Ray Lam</Authors>
    <Company>Hi, I'm Ray</Company>
    <Product>Bookmark Manager</Product>
    <Copyright>Ray Lam</Copyright>
    <AssemblyVersion>1.0.0.0</AssemblyVersion>
    <FileVersion>1.0.0.0</FileVersion>
    <Version>0.5.0.012</Version>
    <PackageId>bookmarkmanager</PackageId>
    <RunAnalyzersDuringLiveAnalysis>True</RunAnalyzersDuringLiveAnalysis>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <OutputPath>bin\Debug\</OutputPath>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>none</DebugType>
    <DebugSymbols>false</DebugSymbols>
    <PlatformTarget>x64</PlatformTarget>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="#\**" />
    <Compile Remove="DTO\**" />
    <Compile Remove="References\**" />
    <Compile Remove="Resources\UI\**" />
    <Compile Remove="RyzStudio\**" />
    <Compile Remove="Text\**" />
    <EmbeddedResource Remove="#\**" />
    <EmbeddedResource Remove="DTO\**" />
    <EmbeddedResource Remove="References\**" />
    <EmbeddedResource Remove="Resources\UI\**" />
    <EmbeddedResource Remove="RyzStudio\**" />
    <EmbeddedResource Remove="Text\**" />
    <None Remove="#\**" />
    <None Remove="DTO\**" />
    <None Remove="References\**" />
    <None Remove="Resources\UI\**" />
    <None Remove="RyzStudio\**" />
    <None Remove="Text\**" />
  </ItemGroup>

  <ItemGroup>
    <Compile Remove="Models\TileGroupModel.cs" />
    <Compile Remove="Models\TileModel.cs" />
    <Compile Remove="NewForm.cs" />
    <Compile Remove="OpenFileForm.cs" />
    <Compile Remove="Windows\Forms\BookmarkTreeViewSNode.cs" />
    <Compile Remove="Windows\Forms\EditGroupForm.cs" />
    <Compile Remove="Windows\Forms\EditTileFolderForm.cs" />
    <Compile Remove="Windows\Forms\EditTileForm.cs" />
    <Compile Remove="Windows\Forms\TileContainer.cs" />
    <Compile Remove="Windows\Forms\TilePanel.cs" />
    <Compile Remove="Windows\Forms\TilePanel.Designer.cs" />
    <Compile Remove="Windows\Forms\TilePanelLayout.cs" />
    <Compile Remove="Windows\Forms\TilePanelLayout.Designer.cs" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Remove="NewForm.resx" />
    <EmbeddedResource Remove="OpenFileForm.resx" />
    <EmbeddedResource Remove="Windows\Forms\EditGroupForm.resx" />
    <EmbeddedResource Remove="Windows\Forms\EditTileFolderForm.resx" />
    <EmbeddedResource Remove="Windows\Forms\EditTileForm.resx" />
    <EmbeddedResource Remove="Windows\Forms\TileContainer.resx" />
    <EmbeddedResource Remove="Windows\Forms\TilePanel.resx" />
    <EmbeddedResource Remove="Windows\Forms\TilePanelLayout.resx" />
  </ItemGroup>

  <ItemGroup>
    <None Remove=".gitignore" />
    <None Remove="build.bat" />
    <None Remove="build64.bat" />
    <None Remove="installer-64.iss" />
    <None Remove="installer-86.iss" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="RyzStudio\IO\FileType.cs" />
    <Compile Include="RyzStudio\IO\SharpZipLib.cs" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="AppResource.Designer.cs">
      <DesignTime>True</DesignTime>
      <AutoGen>True</AutoGen>
      <DependentUpon>AppResource.resx</DependentUpon>
    </Compile>
    <Compile Update="UpdateIconsForm.cs" />
    <Compile Update="FindForm.cs" />
    <Compile Update="BookmarkForm.cs" />
    <Compile Update="PasswordForm.cs" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Update="AppResource.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>AppResource.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="HtmlAgilityPack" Version="1.11.46" />
    <PackageReference Include="Microsoft.Data.Sqlite" Version="5.0.10" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="SharpZipLib" Version="1.3.2" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Ryz3core">
      <HintPath>References\Ryz3core.dll</HintPath>
    </Reference>
    <Reference Include="Ryz3ui">
      <HintPath>References\Ryz3ui.dll</HintPath>
    </Reference>
  </ItemGroup>

</Project>